# Uses of Interface
org.eclipse.jdt.core.ITypeParameter

Packages that use ITypeParameter
Package
Description
org.eclipse.jdt.core
The Java model is the set of classes that model the objects associated with creating, editing, and building a Java program.
org.eclipse.jdt.ui
Application programming interfaces for interaction with the Eclipse Java User Interface.
org.eclipse.jdt.ui.refactoring
Application programming interfaces for rename refactorings.

## Uses of ITypeParameter in org.eclipse.jdt.core

Methods in org.eclipse.jdt.core that return ITypeParameter
Modifier and Type
Method
Description
`ITypeParameter`
IMethod.`getTypeParameter(String name)`
Returns the type parameter declared in this method with the given name.
`ITypeParameter`
IType.`getTypeParameter(String name)`
Returns the type parameter declared in this type with the given name.
`ITypeParameter[]`
IMethod.`getTypeParameters()`
Returns the formal type parameters for this method.
`ITypeParameter[]`
IType.`getTypeParameters()`
Returns the formal type parameters for this type.

## Uses of ITypeParameter in org.eclipse.jdt.ui

Methods in org.eclipse.jdt.ui with parameters of type ITypeParameter
Modifier and Type
Method
Description
`static void`
JavaElementLabels.`getTypeParameterLabel(ITypeParameter typeParameter, long flags, StringBuffer buf)`
Appends the label for a type parameter to a `StringBuffer`.
`static void`
JavaElementLabels.`getTypeParameterLabel(ITypeParameter typeParameter, long flags, org.eclipse.jface.viewers.StyledString result)`
Appends the label for a type parameter to a `StyledString`.

## Uses of ITypeParameter in org.eclipse.jdt.ui.refactoring

Methods in org.eclipse.jdt.ui.refactoring with parameters of type ITypeParameter
Modifier and Type
Method
Description
`static RenameSupport`
RenameSupport.`create(ITypeParameter parameter, String newName, int flags)`
Creates a new rename support for the given `ITypeParameter`.